<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@100003A5=1E</action>
    </script>
  </cheat>

  <cheat desc="Hit Anywhere"> <comment>The soldiers get hit too if onscreen</comment>
    <script state="on">
      <action>temp0 =maincpu.od@1FC48134</action>
      <action>temp1 =maincpu.od@1FC48170</action>
      <action>temp2 =maincpu.od@1FC4518C</action>
    </script>
    <script state="run">
      <action>maincpu.od@1FC48134=00000000</action> <!-- This ROM cheat was made by nolberto82 -->
      <action>maincpu.od@1FC48170=00000000</action>
      <action>maincpu.od@1FC4518C=10000006</action>
    </script>
    <script state="off">
      <action>maincpu.od@1FC48134=temp0 </action>
      <action>maincpu.od@1FC48170=temp1 </action>
      <action>maincpu.od@1FC4518C=temp2 </action>
    </script>
  </cheat>

  <cheat desc="One Hit Kills">
    <script state="on">
      <action>temp0 =maincpu.od@1FC45444</action>
    </script>
    <script state="run">
      <action>maincpu.od@1FC45444=00000000</action> <!-- This ROM cheat was made by nolberto82 -->
    </script>
    <script state="off">
      <action>maincpu.od@1FC45444=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@1000879B=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bullets PL1">
    <script state="run">
      <action>maincpu.pb@1000876F=10</action>
    </script>
  </cheat>

  <cheat desc="Infinite Grenades PL1">
    <script state="run">
      <action>maincpu.pb@10008773=09</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x00">Normal Weapon</item>
      <item value="0x01">Shotgun</item>
      <item value="0x02">Piercing</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1000877F=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@10008843=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bullets PL2">
    <script state="run">
      <action>maincpu.pb@10008817=10</action>
    </script>
  </cheat>

  <cheat desc="Infinite Grenades PL2">
    <script state="run">
      <action>maincpu.pb@1000881B=09</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x00">Normal Weapon</item>
      <item value="0x01">Shotgun</item>
      <item value="0x02">Piercing</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@10008827=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
